/*Copyright (c) 2012 Javed Nissar
*
*Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files 
* (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, 
* publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, 
* subject to the following conditions:
*
*The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
*
*THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF 
* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE 
* FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH 
* THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/
//the global function for declaring the various functions
var gman = {
	phrase : null,
	getword : function(phrase, word) {
			//check the elements of an array to see if they match with the string
			function checkfor(element, index, array){
				return (element == word);
			};
			
			//declare the arrays and their filters
			var array = phrase.split(" ");
			var filtered = array.filter(checkfor);
			
			//return the filtered array
			return filtered;
	},
	check : function(phrase, word) {
			//check the elements of an array to see if they match with the string
			function checkfor(element, index, array){
				return (element == word);
			};
			
			//declare the arrays and their filters
			var array = phrase.split(" ");
			var filter = array.filter(checkfor);
			var there = false;
			
			if(filter[0] == word)
			{
				there = true;
			}
			
			return there;
	},
	question : function(phrase) {
					//declare the array we'll use to determine whether the string is a question
					var array = phrase.split(" ");//remember to split the phrase string using the space character as a separator

					//declare the variable to return
					var result = "false";

					//use a set of if statements to check the array and find out what question it is
					if(array[0] == "Who")
					{
						result = "who";
					};
					if(array[0] == "What" || array[0] == "what" || array[0] == "whAt")
					{
						result = "what";
					};
					if(array[0] == "Where" || array[0] == "where")
					{
						result = "where";
					};
					
					if(array[0] == "Why" || array[0] == "why")
					{
						result = "why";
					};
					
					if(array[0] == "when" || array[0] == "When")
					{
						result = "when";
					};			
										
					//return the result
					return result;
	} 
};
