var static = require('node-static');
var http = require('http');
var util = require('util');

// Create a node-static server instance to serve the './public' folder
var file = new(static.Server)('./gmanjs', { cache: 10 });

var server = http.createServer(function (request, response) {
    request.addListener('end', function () {
        // Serve files!
        file.serve(request, response);
    });
})

util.log('gmanjs example is listening at localhost:8080');
server.listen(8080);
